PUT Application/PutSemanticEntities
Request Information
URI Parameters
None.
Body Parameters
Collection of SemanticEntity| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| SemanticContextID | globally unique identifier |
Required |
|
| SchemaName | string |
Required |
|
| Name | string |
Required |
|
| AssemblyQualifiedName | string |
None. |
|
| IsActive | boolean |
Required |
|
| SemanticProperties | Collection of SemanticProperty |
None. |
Request Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"id": "3c628a45-9beb-4d5e-bfea-0fb07f2ee901",
"semanticContextID": "38822dc2-8c35-4129-ac26-2a7ae54e783d",
"schemaName": "sample string 3",
"name": "sample string 4",
"assemblyQualifiedName": "sample string 5",
"isActive": true,
"semanticProperties": [
{
"$id": "2",
"id": "c64943b4-8ac2-42ff-b8e6-4c32aaafdbb8",
"semanticEntityID": "41c3d300-ebfe-4361-8fac-dc1313ebfc4c",
"semanticEnumerationID": "a4056e8e-79ff-44af-90a1-75f4a6a32069",
"name": "sample string 3",
"isSynchronized": true
},
{
"$ref": "2"
}
]
},
{
"$ref": "1"
}
]
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.